State (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class State

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.State

    public class State

extends java.lang.Object

An enumeration class for use with the Tokenizer. Only the static instances which are declared within the class should ever be created.

Field Summary
`static State` | `COMMENT`
`static State` | `E`
`static State` | `EN`
`static State` | `END`
`static State` | `ENDS`
`static State` | `ENDST`
`static State` | `ENDSTR`
`static State` | `ENDSTRE`
`static State` | `ENDSTREA`
`static State` | `ENDSTREAM`
`static State` | `FRACTIONAL`
`static State` | `GREATER_THAN`
`static State` | `HEX_FE_1`
`static State` | `HEX_FE_2`
`static State` | `HEX_PDF_1`
`static State` | `HEX_PDF_2`
`static State` | `HEX_RAW`
`static State` | `HEX_UTF16_1`
`static State` | `HEX_UTF16_2`
`static State` | `HEX_UTF16_3`
`static State` | `HEX_UTF16_4`
`static State` | `HEXADECIMAL`
`static State` | `KEYWORD`
`static State` | `LESS_THAN`
`static State` | `LITERAL`
`static State` | `LITERAL_FE`
`static State` | `LITERAL_PDF`
`static State` | `LITERAL_UTF16_1`
`static State` | `LITERAL_UTF16_2`
`static State` | `NAME`
`static State` | `NUMERIC`
`static State` | `STREAM`
`static State` | `WHITESPACE`

Method Summary
`boolean` | `equals(State state)` Equality test.
`java.lang.String` | `toString()` Convert to String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMENT

    public static final State COMMENT

### E

    public static final State E

### EN

    public static final State EN

### END

    public static final State END

### ENDS

    public static final State ENDS

### ENDST

    public static final State ENDST

### ENDSTR

    public static final State ENDSTR

### ENDSTRE

    public static final State ENDSTRE

### ENDSTREA

    public static final State ENDSTREA

### ENDSTREAM

    public static final State ENDSTREAM

### FRACTIONAL

    public static final State FRACTIONAL

### GREATER_THAN

    public static final State GREATER_THAN

### HEXADECIMAL

    public static final State HEXADECIMAL

### HEX_FE_1

    public static final State HEX_FE_1

### HEX_FE_2

    public static final State HEX_FE_2

### HEX_PDF_1

    public static final State HEX_PDF_1

### HEX_PDF_2

    public static final State HEX_PDF_2

### HEX_UTF16_1

    public static final State HEX_UTF16_1

### HEX_UTF16_2

    public static final State HEX_UTF16_2

### HEX_UTF16_3

    public static final State HEX_UTF16_3

### HEX_UTF16_4

    public static final State HEX_UTF16_4

### HEX_RAW

    public static final State HEX_RAW

### KEYWORD

    public static final State KEYWORD

### LESS_THAN

    public static final State LESS_THAN

### LITERAL

    public static final State LITERAL

### LITERAL_FE

    public static final State LITERAL_FE

### LITERAL_PDF

    public static final State LITERAL_PDF

### LITERAL_UTF16_1

    public static final State LITERAL_UTF16_1

### LITERAL_UTF16_2

    public static final State LITERAL_UTF16_2

### NAME

    public static final State NAME

### NUMERIC

    public static final State NUMERIC

### STREAM

    public static final State STREAM

### WHITESPACE

    public static final State WHITESPACE

Method Detail

### equals

    public boolean equals(State state)

  Equality test. Two State objects are considered equal only if they are the same object.

### toString

    public java.lang.String toString()

  Convert to String representation. A State object's String representation is its name.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD